      program chancomp
      implicit none

      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end

      function usfunb ( ichoice, x, y, z, t )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     boundary condition as a function of space
c     and time.

      implicit none      

      double precision usfunb, x, y, z, t
      integer ichoice

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     usfunb   o    computed boundary condition

         if ( ichoice.eq.1 ) then
            if (t .le. 2d0) then
              usfunb = -.5d0*.99995d0*t
*               usfunb = -4d0*t*.99995d0*(4d0*x*(1d0-x) + 1d0)
            else 
              usfunb = -.99995d0
*               usfunb = (4d0*x*(1d0-x)*.99995d0 + .99995d0)*-.5d0 
            end if

         else if ( ichoice.eq.2 ) then
            usfunb = 0d0
         else if ( ichoice.eq.3 ) then
            usfunb = 0d0
         else if ( ichoice.eq.4 ) then
            usfunb = 0d0
         else if ( ichoice.eq.5 ) then
            usfunb = 0d0 
         end if

      end

      function usfunc ( ichoice, x, y, z, t )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     coefficient as a function of space
c     and time.

      implicit none      

      double precision usfunc, x, y, z, t
      integer ichoice

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     usfunc   o    computed coefficient

      double precision u, ut, ux, uxx, uy, uyy,
     +                 v, vt, vx, vxx, vy, vyy,
     +                 p, px, py,
     +                 mu, rho


      mu  = 0.5d0
      rho = 10d0

      u   =    sin(t) * sin(x) * sin(y)
      ut  =    cos(t) * sin(x) * sin(y)
      ux  =    sin(t) * cos(x) * sin(y)
      uxx =    - u
      uy  =    sin(t) * sin(x) * cos(y)
      uyy =    - u

      v   =    sin(t) * cos(x) * cos(y)
      vt  =    cos(t) * cos(x) * cos(y)
      vx  =  - sin(t) * sin(x) * cos(y)
      vxx =  - v
      vy  =  - sin(t) * cos(x) * sin(y)
      vyy =  - v

      p   =    sin(t) * (sin(x)+ cos(y))
      px  =    sin(t) * cos(x)
      py  =  - sin(t) * sin(y)


      if ( ichoice.eq.1 ) then
         usfunc = ut + 
     +            u*ux +v*uy  +
     +            px / rho  -
     +            mu*(uxx + uyy)/rho
      else if ( ichoice.eq.2 ) then
         usfunc = vt + 
     +            u*vx +v*vy  +
     +            py / rho  -
     +            mu*(vxx + vyy)/rho
         end if


      end
