      program couette
c=======================================================================
c
c     programmer      Kees Kassels
c
c     version  1.0    date    25-03-94
c
c   copyright (c) 1994  "TU-Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU-Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c***********************************************************************
c
c                    DESCRIPTION
c
c     ISNaS Host Program analytical problem
c
c***********************************************************************
c
c                   KEYWORDS
c
c     host_program
c
c***********************************************************************
c
c                   INPUT / OUTPUT PARAMETERS
c
      implicit none
c***********************************************************************
c
c                   COMMON BLOCKS
c
      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)
c
c     IBUFFR    Integer buffer array in which all array information
c               with respect to the ISNaS software is stored.
c
c     NBUFFR    Declared length of IBUFFR
c
c
c***********************************************************************
c
c                   LOCAL PARAMETERS
c
c
c***********************************************************************
c
c                   SUBROUTINES CALLED
c
c     ISHMAIN    ISNaS host main subroutine
c
c***********************************************************************
c
c                   I/O
c
c***********************************************************************
c
c                   ERROR MESSAGES
c
c***********************************************************************
c
c                   PSEUDO CODE
c
c          initialize local buffer
c          call ISNaS host main subroutine
c
c=======================================================================

      call ismain( nbuffr )

      end
      function usfunb ( ichois, x, y, z, t )
c
c***********************************************************************
c
c     PSEUDO CODE    :
c
c     User written usfunition subroutine. It gives
c     the user the opportunity to define a
c     boundary condition as a usfunition of space
c     and time.
c
c
c***********************************************************************
c
c                   INPUT / OUTPUT PARAMETERS
c
      implicit none      
c
      double precision usfunb, x, y, z, t
      integer ichois
c
c
c     X        i    x-coordinate 
c
c     Y        i    y-coordinate 
c
c     T        i    actual time 
c
c     ICHOIS   i    choice parameter given by the user input
c
c     usfunb   o    computed boundary condition
c
c***********************************************************************
c
c                   LOCAL PARAMETERS
c
c
c***********************************************************************

      if ( ichois .eq. 1 ) then
      
         usfunb = -y
       
      else if ( ichois .eq. 2 ) then
      
         usfunb = y
         
      else if ( ichois .eq. 3 ) then
      
         usfunb = x
         
      else if ( ichois .eq. 4 ) then
      
         usfunb = -x

      else if ( ichois .eq. 5 ) then
      
         usfunb = y - 1

      else if ( ichois .eq. 6 ) then
      
         usfunb = 1 - y

      else if ( ichois .eq. 7 ) then
      
         usfunb = 1 - x

      else if ( ichois .eq. 8 ) then
      
         usfunb = x - 1
         
      else
      
         write(*,*) 'Error in usfunb'        
         
      end if 

      end


