      subroutine isaskclk ( iseqtm, text )
c ======================================================================
c
c        programmer     Guus Segal
c        version 2.1    date   06-08-1998 Guus: remove cisnas
c        version 2.0    date   23-04-1996 Complete new subroutine
c        version 1.1    date   11-12-1995 Kees K common cdctim added
c        version 1.0    date   08-02-1994 Subroutine extracted from the SEPRAN
c                                         subroutine ASKCLK version 3.5
c
c
c
c   copyright (c) 1994-1998  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c      the actual time since the preceding call of isiniclk is printed
c      time in seconds
c **********************************************************************
c
c                       KEYWORDS
c
c     time
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      character *(*) text(1)
      integer iseqtm

c     iseqtm    i    Sequence number with respect to common cistime
c     text      i    String in which a text is stored
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cistime'

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      double precision realarr(2)
      integer intarr(1)
      real timerl

c     intarr    Array of integers containing the integers that
c               must be substituted in the print format.
c     realarr   Array of reals containing the reals that
c               must be substituted in the print format.
c     timerl    Time in seconds since the last call of isiniclk
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c     ISGETTIM  Get time in seconds since the last call of isiniclk
c     ISPRINT   ISNaS general print subroutine
c **********************************************************************
c
c                       DATA STATEMENTS
c
c **********************************************************************
c
c                       MODULES USED
c
c ======================================================================
c
      call isgettim ( timerl )
      realarr(1) = timerl - time(iseqtm)
      realarr(2) = timerl
      call isprint ( 200, 0, intarr, 2, realarr, 1, text )

      end
