      subroutine isasum(sfi,sli,sfj,slj,sfk,slk,area,source,result)
c
c=======================================================================
c
c     programmer  Ronald van Nooyen
c
c     version     1.0  ISNAS     date  06-09-1994
c
c     computer    HP - 9000/720
c
c     Copyright (c) 1994  "TU-Delft"
c
c   copyright (c) 1994  "TU-Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU-Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c***********************************************************************
c
c                  DESCRIPTION
c
c                  Determines sum of all array elements within area
c
c***********************************************************************
c
c
c                  KEYWORDS
c
c      summation
c
c***********************************************************************
c
      implicit none
c
c                  INPUT / OUTPUT PARAMETERS
c
      integer maxdim
      parameter (maxdim = 3)
c
      integer sfi,sli,sfj,slj,sfk,slk, area(1:2,1:maxdim)
      double precision result, source(sfi:sli,sfj:slj,sfk:slk)
c
c
c     area      i    Summation index bounds
c     maxdim         Maximum dimension
c     result    o    Result of summation
c     sfi       i    Lower bound on i-index for source
c     sfj       i    Lower bound on j-index for source
c     sfk       i    Lower bound on k-index for source
c     sli       i    Upper bound on i-index for source
c     slj       i    Upper bound on j-index for source
c     slk       i    Upper bound on k-index for source
c     source    i    Source array
c
c***********************************************************************
c
c                  COMMON BLOCKS
c
c
c
c***********************************************************************
c
c                  LOCAL PARAMETERS
c
c
      integer i, j, k
c
c     i        General loop variable
c     j        General loop variable
c     k        General loop variable
c
c***********************************************************************
c
c                  I/O
c
c
c***********************************************************************
c
c                  SUBROUTINES CALLED
c
c     ISERCLOS    removes name of subroutine from error list
c     ISEROPEN    adds name of subroutine to error list
c
c***********************************************************************
c
c                  ERROR MESSAGES
c
c
c***********************************************************************
c
c                  PSEUDO CODE
c
c
c=======================================================================

      call iseropen('isasum')

      result = 0d0

      do 1000 k=area(1,3),area(2,3)
         do 1100 j=area(1,2),area(2,2)
            do 1110 i=area(1,1),area(2,1)
               result = result + source(i,j,k)
 1110       continue
 1100    continue
 1000 continue

      call iserclos('isasum')

      end
