      subroutine iscopstr ( iclust, ilocstr, rlocstr, ilocstrlc,
     +                      rlocstrlc, nclusters )
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.0    date 20-04-1999
c
c
c   copyright (c) 1999-1999  "TU Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c **********************************************************************
c
c                       DESCRIPTION
c
c    Copy the contents of the generic arrays ilocstr and rlocstr into
c    local arrays ilocstrlc and rlocstrlc
c **********************************************************************
c
c                       KEYWORDS
c
c   structure
c   copy
c **********************************************************************
c
c                       MODULES USED
c
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer iclust, nclusters, ilocstr(nclusters,*), ilocstrlc(*)
      double precision rlocstr(nclusters,*), rlocstrlc(*)

c     iclust    i    Cluster sequence number
c     ilocstr   i    Contains information of the structure of the main program
c                    for each cluster
c                    See the programmers Guide for a description
c     ilocstrlc o    Copy of array ilocstr for one cluster only
c     nclusters i    Number of clusters
c     rlocstr   i    Contains information of the structure of the main program
c                    for each cluster
c                    See the programmers Guide for a description
c     rlocstrlc o    Copy of array rlocstr for one cluster only
c **********************************************************************
c
c                       COMMON BLOCKS
c
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer i

c     i         General loop variable
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      do i = 1, 20
         ilocstrlc(i) = ilocstr(iclust,i)
      end do
      do i = 1, 10
         rlocstrlc(i) = rlocstr(iclust,i)
      end do
      end
