      subroutine ishstart ( nbuffr )
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.1    date   24-04-1996 Layout
c        version 1.0    date   14-02-1994 Subroutine extracted from the SEPRAN
c                                         subroutine START version 5.8
c
c
c
c   copyright (c) 1994-1996  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c       Start ISNaS host program, store machine dependent quantities
c       in common cisnas and open files 2, 3 and 4
c       initialize common blocks
c       set time to zero
c **********************************************************************
c
c                       KEYWORDS
c
c    initializations
c    start_host
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer  nbuffr

c     nbuffr    i    Length of buffer array ibuffr
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cisnas'
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer nvectr

c     nvectr  Maximum number of arrays that may be stored in IBUFFR
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c     ISERCLOS  Resets old name of previous subroutine of higher level
c     ISEROPEN  Produces concatenated name of local subroutine
c     ISINICLK  initialize the clock
c     ISINIFIL  Open files
c     ISINITCB  Initialize ISNaS machine-independent common blocks
c     ISINITMD  Set machine-dependent quantities
c     ISSTARMM  Start memory manager
c **********************************************************************
c
c                       I/O
c
c    none
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c   trivial
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      nvectr = 1000

c     --- Initialize machine independent common blocks

      call isinitcb

      call iseropen ( 'ishstart' )

c     --- Set machine dependent parameters in common blocks

      call isinitmd
      if ( nerror.ne.0 ) go to 1000
      call isinifil(5)
      call isinifil(6)

c     --- Set timer equal to begin time

      call isiniclk
      if ( nerror.ne.0 ) go to 1000

c     --- Open ISNaS files

      call isinifil(4)
      if ( nerror.ne.0 ) go to 1000

c     --- Open scratch file

      call isinifil(3)
      if ( nerror.ne.0 ) go to 1000

      call isstarmm ( nbuffr, nvectr )

1000  call iserclos ( 'ishstart' )

      end
