      subroutine issetclk ( iseqtm )
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.0    date   08-02-1996
c
c
c
c   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c      Store the actual time in common block cistime for sequence number iseqtm
c      In this way the computation time in a subroutine may be found
c **********************************************************************
c
c                       KEYWORDS
c
c     time
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer iseqtm

c     iseqtm    i    Sequence number with respect to common cistime
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cistime'

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      real timerl

c     timerl    Time in seconds since the last call of isiniclk
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c     ISGETTIM  Get time in seconds since the last call of isiniclk
c **********************************************************************
c
c                       DATA STATEMENTS
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      call isgettim ( timerl )
      time(iseqtm) = timerl
      end
