      subroutine isscopy ( ilosrc, ihisrc, jlosrc, jhisrc,
     +                     klosrc, khisrc,
     +                     ilodest, ihidest, jlodest, jhidest,
     +                     klodest, khidest,
     +                     nslices, icparea, src, destc, scalefac)
c=======================================================================
c
c     programmer  Ronald van Nooyen
c
c     version     1.2  ISNAS     date  30-09-94 RvN ISNaS 94 version
c     version     1.1  ISNAS     date  21-04-94
c     version     1.0  ISNAS     date  05-04-94
c
c     computer    HP - 9000/720
c
c     Copyright (c) 1994  "TU-Delft"
c
c     Permission to copy or distribute this software or documentation
c     in hard copy or soft copy granted only by written license
c     obtained from "TU-Delft".
c
c     All rights reserved. No part of this publication may be reproduced,
c     stored in a retrieval system ( e.g., in memory, disk, or core)
c     or be transmitted by any means, electronic, mechanical, photocopy,
c     recording, or otherwise, without written permission from the
c     publisher.
c
c***********************************************************************
c
c                  DESCRIPTION
c
c     Copy icparea from src to dest and scale by scalefac
c
c***********************************************************************
c
c
c                  KEYWORDS
c
c
c***********************************************************************
c
c
c                  INPUT / OUTPUT PARAMETERS
c
c
      implicit none
c
      integer maxdim
      parameter (maxdim = 3)

      integer icparea(1:2,1:maxdim), nslices,
     +        ilosrc, ihisrc, jlosrc, jhisrc, klosrc, khisrc,
     +        ilodest, ihidest, jlodest, jhidest, klodest, khidest
      double precision scalefac,
     +   src(ilosrc:ihisrc,jlosrc:jhisrc,klosrc:khisrc,1:nslices),
     +   destc(ilodest:ihidest,jlodest:jhidest,klodest:khidest,
     +   1:nslices)
c
c     destc     o    destination of copy operation
c     icparea   i    Area to be copied
c     ihidest   i    Upper bound on i-index for destination
c     ihisrc    i    Upper bound on i-index for source
c     ilodest   i    Lower bound on i-index for destination
c     ilosrc    i    Lower bound on i-index for source
c     jhidest   i    Upper bound on j-index for destination
c     jhisrc    i    Upper bound on j-index for source
c     jlodest   i    Lower bound on j-index for destination
c     jlosrc    i    Lower bound on j-index for source
c     khidest   i    Upper bound on k-index for destination
c     khisrc    i    Upper bound on k-index for source
c     klodest   i    Lower bound on k-index for destination
c     klosrc    i    Lower bound on k-index for source
c     maxdim    i    Maximum dimension
c     nslices   i    Number of slices
c     scalefac  i    scale factor for copy from source to destination
c     src       i    source
c
c***********************************************************************
c
c                  COMMON BLOCKS
c
c
c***********************************************************************
c
c                  LOCAL PARAMETERS
c
c
      integer i, j, k, islice
c
c     i        General loop variable
c     j        General loop variable
c     k        General loop variable
c     islice   Loop variable for loop over slices
c
c***********************************************************************
c
c                  SAVE
c
c
c***********************************************************************
c
c                  DATA
c
c
c***********************************************************************
c
c                  I/O
c
c
c***********************************************************************
c
c                  SUBROUTINES CALLED
c
c     ISERCLOS  Resets old name of previous subroutine of higher level
c     ISEROPEN  Produces concatenated name of local subroutine
c
c***********************************************************************
c
c                  ERROR MESSAGES
c
c
c***********************************************************************
c
c                  PSEUDO CODE
c
c
c=======================================================================

      call iseropen('isscopy')

      do 10000 islice=1,nslices
         do 11000 k=icparea(1,3),icparea(2,3)
            do 11100 j=icparea(1,2),icparea(2,2)
               do 11110 i=icparea(1,1),icparea(2,1)
                  destc(i,j,k,islice) = scalefac*src(i,j,k,islice)
11110          continue
11100       continue
11000    continue
10000 continue

      call iserclos('isscopy')

      end
