      subroutine prelude3 ( mat3, nx, ny, nz, acorsnin, ahilevel,
     +   rbuf, bufsize,
     +   sl1, sl2, sl3, sl4, sl5, sl6,
     +   ibuf)
c ======================================================================
c
c        programmer     Jos van Kan
c       version 1.2    date  8- 7-1997
c       version 1.1    10-04-1997
c        version 1.0    date Tue Apr  8 1997
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c   pilotcode 3d mgpackage
c
c **********************************************************************
c
c                       MODULES USED
c
c **********************************************************************
c
c                       DESCRIPTION
c
c   In the prelude all common blocks will be set, all
c   memory allocated, the RAP for all levels made, together
c   with the LU decomposition of the block tridiagonal
c   mat3rices that form the diagonal of A on all grids.
c   There are basically two methods:
c   1. Full coarsening
c   2. semi coarsening
c   Semi coarsening is more robust, full coarsening may be quicker
c   For a description of all considerations see mg2.readme
c **********************************************************************
c
c                       KEYWORDS
c
c   multi_grid
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      double precision mat3 (*), rbuf (*)
      integer ibuf (*)
      integer bufsize
      integer nx, ny, nz, acorsnin, ahilevel,
     +    sl1, sl2, sl3, sl4, sl5, sl6

c     acorsnin  i    1=full coarsening 2=semicoarsening  (formal parameter)
c     ahilevel  i    Maximum level of coarse grids (level 0 is finest)
c                    (formal parameter)
c     bufsize   i    Size of buffer needed to accommodate all coarse grid
c                    quantities
c     ibuf      o    Integer array of dimension 300 that contains the
c                    administration of this particular multi grid block.
c     mat3      i    The nx x ny x nz x 27  coefficient matrix of the
c                    discrete Laplacian
c     nx        i    Number of grid x points on finest grid
c     ny        i    Number of grid y points on finest grid
c     nz        i    Number of points in the z-direction
c     rbuf      i    Buffer array used to store all coarse size info
c                    and as scratch space. The actaul bufferspace
c                    needed can be calculated using subr autosize.
c     sl1       i    Slack variable, x lower bound
c     sl2       i    Slack variable, x upper bound
c     sl3       i    Slack variable, y lower bound
c     sl4       i    Slack variable, y upper bound
c     sl5       i    Slack variable, z lower bound
c     sl6       i    Slack variable, z upper bound
c **********************************************************************
c
c                       COMMON BLOCKS
c
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      print *, ' You need a FORTRAN-90 compiler to use multigrid'
      stop
      end
