      subroutine isprimt1 ( text, matrix, ni, nj, nconct, itypmat )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.0    date 17-02-95
c
c
c   copyright (c) 1995-1995  "TU Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                      DESCRIPTION
c
c     Print the contents of the array matrix on a two-dimensional grid
c
c     The heading of the output is given by text
c
c     This subroutine is meant for debug purposes. It is assumed that the
c     matrix and the dimension parameters are available.
c ********************************************************************
c
c                      KEYWORDS
c
c    2d
c    matrix
c    print
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer ni, nj, nconct, itypmat
      double precision matrix(*)
      character *(*) text

c     itypmat   i    Type of matrix. Possible values:
c                    1:  Momentum matrix
c                    2:  Pressure of transport matrix
c                    3:  Gradient matrix
c     matrix    i    reserved
c     nconct    i    Number of connections in a row of the matrix
c     ni        i    Number of non-virtual cells in the i-direction (one block)
c     nj        i    Number of non-virtual cells in the j-direction (one block)
c     text      i    String in which a text is stored
c ********************************************************************
c
c                      COMMON BLOCKS
c
      include 'IScommon/cisnas'
c ********************************************************************
c
c                      LOCAL PARAMETERS
c
      integer ndim

c     ndim      Dimension of space (2 or 3)
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     ISPRAR03  Print general matrix array defined in R2
c ********************************************************************
c
c                      I/O
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c ======================================================================
c
      write(irefwr,100) text, iblockrf
100   format( a / ' Block number ', i4 )
      if ( itypmat.ne.2 ) then
         ndim = 2
      else
         ndim = 1
      end if
      call isprar03 ( matrix, ni, nj, nconct, ndim, itypmat )
      end
