      subroutine isreadsq ( iseqeq, neq, dnumbr )
c ======================================================================
c
c
c        programmer     Kees Kassels
c        version 1.0    date 08-03-95
c
c
c   copyright (c) 1994  "TU Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                      DESCRIPTION
c
c    Read all input concerning the sequence of the equations	
c ********************************************************************
c
c                      KEYWORDS
c
c    read_cards
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none

      integer neq, iseqeq(neq)
      double precision dnumbr(*)

c     dnumbr    i    Work array to store a series numbers that have been read
c     iseqeq    i    Array with sequence numbers of equations
c     neq       i    Number of equations
c
c ********************************************************************
c
c                      COMMON BLOCKS
c
c ********************************************************************
c
c                      LOCAL PARAMETERS
c
      integer inum, i


c     i         General loop variable
c     inum      Indicates the number of numbers that have been read
c
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     ISERCLOS  Resets old name of previous subroutine of higher level
c     ISEROPEN  Produces concatenated name of local subroutine
c     ISREADRL  read a series of numbers which may be at several records
c               skip texts and other symbols
c ********************************************************************
c
c                      I/O
c
c     Input is read from the intermediate file
c     The following input is expected
c     For i := 1(1) neq
c        iseqeq(i)
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c
c ======================================================================
c
      call iseropen ( 'isreadsq' )

c     --- Read iseqeq

         call isreadrl ( dnumbr, neq, inum )
         do 100 i = 1, neq
            iseqeq(i) = nint(dnumbr(i))
100      continue


      call iserclos ( 'isreadsq' )
      end
