      subroutine islreset ( nbufol )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.0    date   21-06-94
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c ********************************************************************
c
c                         DESCRIPTION
c
c     Reset buffr length to old value, i.e. remove array created by isendspc
c
c ********************************************************************
c
c                      KEYWORDS
c
c     memory_management
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS

      implicit none
      integer nbufol

c     nbufol  i  Value of NBUFFR at input
c                This value may be used to reset NBUFFR in a later stage
c ********************************************************************
c
c                    COMMON BLOCKS
c
      include 'IScommon/cisblank'
      include 'IScommon/cisnas'
c ********************************************************************
c
c                    LOCAL PARAMETERS

      integer nvectr

c     nvectr  Maximum number of arrays that may be stored in IBUFFR
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c     ISERRINT  Put integer value in error message file
c     ISERRSUB  Error messages
c ********************************************************************
c
c                    I/O
c
c     none
c ********************************************************************
c
c                    ERROR MESSAGES
c
c    1414   nbufol out of range
c ********************************************************************
c
c                    PSEUDO CODE
c
c ======================================================================
c
      nvectr = ibuffr(2)
      if ( nbufol.lt.1000+3*nvectr .or. nbufol.gt.ibuffr(1)-6*nvectr )
     +   then

c     --- error: nbufol out of range

         call iserrint ( nbufol, 1 )
         call iserrint ( 1000+3*nvectr, 2 )
         call iserrint ( ibuffr(1)-6*nvectr, 3 )
         call iserrsub ( 1414, 3, 0, 0 )

      end if

      ibuffr(7) = nbufol
      end
