      subroutine isreadm0 ( textrd )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.0    date   21-06-94 (Subroutine extracted from the SEPRAN
c                                        subroutine READM0 version 1.4)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                         DESCRIPTION
c
c    a name is read from the next line of
c    the environment file and stored in the parameter text
c    subroutine ISREADM0 is a help subroutine of ISREADMD
c ********************************************************************
c
c                      KEYWORDS
c
c   environment_file
c   read
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      character *(*) textrd

c     textrd   o  Text that has been read
c                 If no text has been found, the text is made blank
c ********************************************************************
c
c                      COMMON BLOCKS
c
      include 'IScommon/csepch'
      include 'IScommon/cseprd'
c ********************************************************************
c
c                    LOCAL PARAMETERS
c
      integer jcolum

c    jcolum     Column number for printing
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c     ISREADCD  Read next card
c ********************************************************************
c
c                    I/O
c
c    none
c ********************************************************************
c
c                    ERROR MESSAGES
c
c     No colon found
c ********************************************************************
c
c                    PSEUDO CODE
c
c      Read next record (comments excluded):  ISREADCD
c      Find colon
c      Set text after colon into text
c ======================================================================
c
c     --- Read record (Do not translate into capitals)

      ispecl = 7
      ityprd = 1
      call isreadcd
      ispecl = 6

c     --- Find colon

      jcolum = index ( cards(kcolum:80), ':' )
      if ( jcolum.eq.0 ) then

c       *  No colon found:

         write(*,100) (cards(kcolum:80))
100      format ( ' Line in the environment file does not contain a',
     +            ' colon(:). '//' Execution is terminated'//
     +            ' The line read is:'/1x,a )
         stop

      end if
      jcolum = jcolum + kcolum
      kcolum = jcolum
      icolum = jcolum

c     --- Fill text

      textrd = ' '
      if ( jcolum.le.80 ) textrd(1:80-jcolum+1) = cards(jcolum:80)

      end
