      subroutine isreadm2 ( dbreal )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.1    date   06-04-95 Kees K. dnumbr declared as array
c        version 1.0    date   21-06-94 (Subroutine extracted from the SEPRAN
c                                        subroutine READM2 version 1.3)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                         DESCRIPTION
c
c    A real is read from the next line of
c    the environment file and stored in the parameter dbreal
c    subroutine ISREADM2 is a help subroutine of ISREADMD
c ********************************************************************
c
c                      KEYWORDS
c
c   environment_file
c   read
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      double precision dbreal

c     dbreal   o  Real that has been read
c ********************************************************************
c
c                      COMMON BLOCKS
c
      include 'IScommon/csepch'
      include 'IScommon/cseprd'
c ********************************************************************
c
c                    LOCAL PARAMETERS
c
      integer inum, jcolum
      double precision dnumbr(1)

c    dnumbr    Work array to store a series numbers that have been read
c    inum      Indicates the number of numbers that have been read
c    jcolum    Column number for printing
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c     ISREADCD  Read next card
c     ISREADSR  Read number(s) from a record
c ********************************************************************
c
c                    I/O
c
c    Read one record of the environment file
c ********************************************************************
c
c                    ERROR MESSAGES
c
c     No colon found
c     No number found after colon
c ********************************************************************
c
c                    PSEUDO CODE
c
c      Read next record (comments excluded):  ISREADCD
c      Find colon
c      Read number after colon into dbreal
c ======================================================================
c
c     --- Read record

      call isreadcd

c     --- Find colon

      ityprd = 0
      jcolum = index ( cards(kcolum:80), ':' )
      if ( jcolum.eq.0 ) then

c     --- No colon found:

         write(*,100) (cards(kcolum:80))
100      format ( ' Line in the environment file does not contain a',
     +            ' colon(:). '//' Execution is terminated'//
     +            ' The line read is:'/1x,a )
         stop

      end if
      jcolum = jcolum + kcolum
      kcolum = jcolum
      icolum = jcolum

      if ( jcolum.gt.80 ) then

c     --- No number found after colon whereas number is expected

         write(*,110) (cards(kcolum:80))
110      format ( ' Line in the environment file does not contain a',
     +            ' number after the colon',
     +            ' (:). '//' Execution is terminated'//
     +            ' The line read is:'/1x,a )
         stop

      end if

      call isreadsr ( dnumbr, 1, inum )
      if ( inum.eq.0 ) then

c     --- No number found after colon whereas number is expected

         write(*,110) (cards(kcolum:80))
         stop

      end if

      dbreal = dnumbr(1)

      end
