      subroutine daxpy(n, da, dx, incx, dy, incy)
c
c        version 1.1    date   22-08-91 (Zdenek: no dimension, cdc, ce)
c
c     overwrite double precision dy with double precision da*dx + dy.
c     for i = 0 to n-1, replace  dy(ly+i*incy) with da*dx(lx+i*incx) +
c       dy(ly+i*incy), where lx = 1 if incx .ge. 0, else lx = (-incx)*n,
c       and ly is defined in a similar way using incy.
c
      implicit double precision (a-h,o-z)
      double precision dx(*), dy(*)
      if (n.le.0 .or. da.eq.0d0) return
      if (incx.eq.incy) if (incx-1) 10, 30, 70
   10 continue
c
c        code for nonequal or nonpositive increments.
c
      ix = 1
      iy = 1
      if (incx.lt.0) ix = (-n+1)*incx + 1
      if (incy.lt.0) iy = (-n+1)*incy + 1
      do 20 i=1,n
         dy(iy) = dy(iy) + da*dx(ix)
         ix = ix + incx
         iy = iy + incy
   20 continue
      return
c
c        code for both increments equal to 1
c
c
c        clean-up loop so remaining vector length is a multiple of 4.
c
   30 m = mod(n,4)
      if (m.eq.0) go to 50
      do 40 i=1,m
         dy(i) = dy(i) + da*dx(i)
   40 continue
      if (n.lt.4) return
   50 mp1 = m + 1
      do 60 i=mp1,n,4
         dy(i) = dy(i) + da*dx(i)
         dy(i+1) = dy(i+1) + da*dx(i+1)
         dy(i+2) = dy(i+2) + da*dx(i+2)
         dy(i+3) = dy(i+3) + da*dx(i+3)
   60 continue
      return
c
c        code for equal, positive, nonunit increments.
c
   70 continue
      ns = n*incx
      do 80 i=1,ns,incx
         dy(i) = da*dx(i) + dy(i)
   80 continue
      return
      end
