      subroutine isstmach
c ======================================================================
c
c        programmer    Guus Segal
c        version 1.1    date   05-02-96 use of function fdate
c        version 1.0    date   08-02-94 (Subroutine extracted from the SEPRAN
c                                        subroutine STMACH version 2.5)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c **********************************************************************
c
c                         DESCRIPTION
c
c    machine-dependent subroutine that may be different for
c    each machine
c
c    The task of ISSTMACH is to perform those tasks that do not belong to
c    ISNaS but should be carried out according to the system manager
c
c    This version is meant for the TU-Delft HP 9000 series computers
c
c **********************************************************************
c
c                      KEYWORDS
c
c   machine_dependent
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
c
c ********************************************************************
c
c                COMMON BLOCKS
c
      include 'IScommon/cisnasch'
c ********************************************************************
c
c                LOCAL PARAMETERS
chpu
chpu
chpu      integer  i
chpu      character*24 buf
chpu
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c ********************************************************************
c
c                    I/O
c
c ********************************************************************
c
c                    ERROR MESSAGES
c
c   -
c ********************************************************************
c
c                    PSEUDO CODE
c
c ======================================================================
chpu
chpuc    *  The following will work on HP 9000, but is NOT general Unix
chpuc       It uses an external C procedure to access the environment
chpuc
chpuc       Get machine name, set by login through the `hostname` command
chpu      call hostnm ( macnam )
chpu      i=index(macnam,NULL)
chpu      macnam(i:16) = '                '
chpu
chpuc    *  Get user login name and terminal type.
chpuc      call getnam ('LOGNAME'//null, usrnam, LEN(usrnam))
chpuc      call getnam ('TERM'//null, termin, LEN(termin))
chpu
chpuc    *  Now for date and time. The following is dirty and will only work
chpuc       in HP-UX. It uses low-level Unix calls, made available through
chpuc       the non-standard $alias directive
chpuc
chpuc     --- Now for date and time. The following is dirty and will only work
chpuc         in HP-UX. It uses low-level Unix calls, made available through
chpuc         the non-standard $alias directive
chpuc
chpuc         get time in the following format:
chpuc         Sun Sep 16 01:03:52 1990
chpu
chpu      call fdate ( buf )
chpu
chpuc     --- now split into date and time
chpu
chpu      stdate=buf(1:4)//buf(9:10)//buf(4:8)//buf(21:24)
chpu      sttime=buf(12:19)
chpu
      end
cdc*eor
