      subroutine isexitpm
c ======================================================================
c
c        Programmer     Guus Segal
c        version 2.0    date 22-07-1998 Jason:  MPI version
c        version 1.1    date 26-09-1994 (Correction call to pvmfperror)
c        version 1.0    date 11-04-1994
c
c
c     copyright (c) 1994  "TU-Delft"
c     Permission to copy or distribute this software or documentation
c     in hard copy or soft copy granted only by written license
c     obtained from "TU-Delft"
c     All rights reserved. No part of this publication may be
c     reproduced, stored in a retrieval system (e.g., in memory, disk,
c     or core) or be transmitted by any means, electronic, mechanical,
c     photocopy, recording, or otherwise, without written Permission
c     from the publisher.
c
c **********************************************************************
c
c                       DESCRIPTION
c
c     Exit parallel application at node or host
c
c **********************************************************************
c
c                       KEYWORDS
c
c     exit
c     parallel
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'IScommon/cisparal'

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      include 'mpif.h'
      integer ierr

c     ierr      Return code of a subroutine (<0 is error)
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c     ISERCLOS  Resets old name of previous subroutine of higher level
c     ISEROPEN  Produces concatenated name of local subroutine
c     ISERRSUB  Error messages
c     MPI_FINALIZE  cleans up the MPI state and exits
c **********************************************************************
c
c                       ERROR MESSAGES
c
c    1750   MPI error
c **********************************************************************
c
c                       PSEUDO CODE
c
c     call MPI_FINALIZE
c **********************************************************************
c
c                       MODULES USED
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      call MPI_FINALIZE ( ierr )
      if ( ierr.ne.MPI_SUCCESS ) then

c     --- Error in MPI

         call iseropen ( 'isexitpm' )
         call iserrsub ( 1750, 0, 0, 0 )
         call iserclos ( 'isexitpm' )

      end if

      end
